summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback
diff options
context:
space:
mode:
Diffstat (limited to 'applications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback')
-rwxr-xr-xapplications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback18
1 files changed, 18 insertions, 0 deletions
diff --git a/applications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback b/applications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback
new file mode 100755
index 000000000..903efe9ad
--- /dev/null
+++ b/applications/luci-app-pbx/root/etc/pbx-asterisk/delayedcallback
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Check if there are more than one instance of this command
+# with the same command line running at the same time for some
+# reason, then quit. We are checking for the same
+# commandline in order to permit two different callback
+# attempts simultaneously.
+
+if ! grep -q "$@" /dev/shm/delayedcallback.[0-9]* 2>/dev/null
+then
+ echo "$@" > /dev/shm/delayedcallback.$$
+ sleep 25
+ asterisk -r -x "$1 $2 \"$3\" $4 $5 $6"
+ rm /dev/shm/delayedcallback.$$
+# echo "`date` $@": >> /dev/shm/delayedcallback.log
+#else
+# echo "`date` ERROR: There appears to be a callback attempt in progress to: $@" >> /dev/shm/delayedcallback.err
+fi